geos::simplify::TaggedLinesSimplifier Class Reference

Simplifies a collection of TaggedLineStrings, preserving topology (in the sense that no new intersections are introduced). More...

`#include <TaggedLinesSimplifier.h>`

## Public Member Functions

void | setDistanceTolerance (double tolerance)
| Sets the distance tolerance for the simplification.
void | simplify (std::vector< TaggedLineString * > &tlsVector)

## Detailed Description

Simplifies a collection of TaggedLineStrings, preserving topology (in the sense that no new intersections are introduced).

## Member Function Documentation

## setDistanceTolerance()

void geos::simplify::TaggedLinesSimplifier::setDistanceTolerance | ( | double | tolerance | ) |

Sets the distance tolerance for the simplification.

All vertices in the simplified geometry will be within this distance of the original geometry.

Parameters

  tolerance | the approximation tolerance to use

The documentation for this class was generated from the following file:

- TaggedLinesSimplifier.h